# To validate this yaml file you may use
# https://jsonformatter.org/yaml-validator

# Project information
site_name: OpenTestFactory Dashboard
site_author: Henix
site_description: >-
    OpenTestFactory
copyright: Copyright &copy; 2023 Henix
site_url: https://opentestfactory.org/
use_directory_urls: false

# Theme
theme:
  # logo: resources/logo_OTF_blanc.svg
  # favicon: resources/favicon_OTF_144-144.png
  custom_dir: 'docs/custom_theme'
  features:
    - navigation.indexes # https://squidfunk.github.io/mkdocs-material/setup/setting-up-navigation/#section-index-pages
    - navigation.instant
    # - navigation.tabs
    - content.tabs.link
    - content.code.copy
  name: material # https://www.mkdocs.org/user-guide/styling-your-docs/ https://squidfunk.github.io/mkdocs-material/setup/changing-the-colors/
  palette:
    - scheme: default
      accent: lime
      toggle:
        icon: material/toggle-switch-off-outline
        name: Switch to dark mode
    - scheme: slate
      accent: lime
      toggle:
        icon: material/toggle-switch
        name: Switch to light mode

# Extensions
plugins:
  - search
  # - tags:
  #     tags_file: guides/index.md

markdown_extensions:
  - admonition            # https://squidfunk.github.io/mkdocs-material/reference/admonitions/
  - meta                  # https://www.mkdocs.org/user-guide/writing-your-docs/#meta-data
  - tables                # https://www.mkdocs.org/user-guide/writing-your-docs/#tables
  - codehilite            # https://yakworks.github.io/docmark/extensions/codehilite/
  - attr_list             # https://squidfunk.github.io/mkdocs-material/setup/extensions/python-markdown/#admonition
  # - smarty              # breaks imbedded javascript scripts (used for barcharts & al.)
  - meta
  - def_list
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - pymdownx.tabbed:
      alternate_style: true
  - pymdownx.details
  - toc:
      permalink: true
      toc_depth: "1-4"
  - pymdownx.snippets:    # https://facelessuser.github.io/pymdown-extensions/extensions/snippets/
      base_path: "./docs"
      check_paths: true
  - attr_list
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg

# Site navigation
nav:
  - Contexts: dummy.md
  - Namespaces: dummy.md
  - Workflows:
    - junit_mvnd: 'workflows/junit_mvnd/workflow.md'
    - junit_mvn: 'workflows/junit_mvn/workflow.md'
    - e2e: 'workflows/e2e/workflow.md'
    - robot/kung: 'workflows/robot/kung/workflow.md'
    - robot/mlf: 'workflows/robot/mlf/workflow.md'
    - robot/adrian: 'workflows/robot/adrian/workflow.md'
    - cypress/ko: 'workflows/cypress/ko/workflow.md'
    - soapui/ok_demo: 'workflows/soapui/ok_demo/workflow.md'
    - soapui/ok2: 'workflows/soapui/ok2/workflow.md'
    - soapui/ok: 'workflows/soapui/ok/workflow.md'
    - generator: 'workflows/generator/workflow.md'
    - failed2: 'workflows/failed2/workflow.md'
  - Channel handlers: 'dummy.md'
  - Channels: dummy.md
  - Agents: dummy.md
